# eric6.Plugins.VcsPlugins.vcsMercurial.HgOptionsDialog

Module implementing a dialog to enter options used to start a project in the VCS.

### Global Attributes

None

### Classes

HgOptionsDialog | Class implementing a dialog to enter options used to start a project in the repository.

### Functions

None

## HgOptionsDialog

Class implementing a dialog to enter options used to start a project in the repository.

### Derived from

QDialog, Ui_HgOptionsDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgOptionsDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.

### Static Methods

None

#### HgOptionsDialog (Constructor)

HgOptionsDialog(vcs, project, parent=None)

Constructor

vcs
  reference to the version control object
project
  reference to the project object
parent
  parent widget (QWidget)

#### HgOptionsDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Returns:
  a dictionary containing the data entered

Up